Create Api Key
curl --request POST \
--url https://app.asisso.com/api/v1/user/api-keys \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://app.asisso.com/api/v1/user/api-keys"
payload = { "name": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://app.asisso.com/api/v1/user/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"key_prefix": "<string>",
"api_key": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Keys
Create API Key
Create a new API key for programmatic access
POST
/
api
/
v1
/
user
/
api-keys
Create Api Key
The full key is only returned once at creation. Store it immediately in a secrets manager or environment variable — it cannot be retrieved again.
Authentication
This endpoint requires a valid user session token. If you do not yet have an API key, obtain a session token by logging in first and pass it as aBearer token in the Authorization header.
Step 1 — Log in to get a session token
curl -X POST https://your-asisso-instance/api/v1/auth/login \
-H "Content-Type: application/json" \
-d '{"email": "you@example.com", "password": "your-password"}'
token field. Use it in the next step.
Step 2 — Create an API key
curl -X POST https://your-asisso-instance/api/v1/user/api-keys \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{"name": "my-api-key"}'
X-API-Key: <key> in place of Authorization: Bearer for all subsequent requests.⌘I